Bug Hunting Session
Bug 113052 - Crash when right-clicking the breakpoint column in the Basic IDE
Summary: Crash when right-clicking the breakpoint column in the Basic IDE
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All All
: medium normal
Assignee: Jan-Marek Glogowski
URL:
Whiteboard: target:6.0.0 target:5.4.3
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-11 17:42 UTC by Jan-Marek Glogowski
Modified: 2017-10-18 15:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature: ["VclBuilder::get_menu(rtl::OString const &)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Marek Glogowski 2017-10-11 17:42:18 UTC
1. Open the Macro BASIC editor (Tools >> Macros >> Organize Macros >> LibreOffice Basic...).
2. Right click in the breakpoint column (first column / before the line numbers)
3. LO crashes.
Comment 1 Commit Notification 2017-10-11 17:55:51 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f7ed0260ab7e08401f0129cde312cd8aa0fbddf

tdf#113052 needs mpUIBuilder to load breaklistmenu

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2017-10-16 20:14:59 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=91ec020991a0558ea4b927808f3b346254e52c3d&h=libreoffice-5-4

tdf#113052 needs mpUIBuilder to load breaklistmenu

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2017-10-17 20:35:44 UTC
Fix verified in

Version: 6.0.0.0.alpha0+
Build ID: 616f21db9e50a77b0c02dfb123f871a742f46216
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Please, remember to close it as RESOLVED FIXED when no further work is needed.